name: Deploy NPM app
run-name: ${{ gitea.actor }} is deploying to PROD servers.
on: [ push, fork, pull ]

jobs:
  Deploy NPM:
    runs-on: ubuntu-latest
    steps:
    - name: Check out repository code
      uses: actions/checkout@v4
    - name: SSH to remote server
      uses: appleboy/ssh-action@v1.0.3
      with:
        host: ${{ secrets.HOST }}
        username: ${{ secrets.USERNAME }}
        password: ${{ secrets.PASSWORD }}
        port: ${{ secrets.PORT }}
        script: |
          cd /home/zouklambadabcn.com/public_html/
          git pull
          npm install
          npm run build
          pm2 restart ZLB
    - run: echo "🍏 This job's status is ${{ job.status }}."
